Vulnerability Name:

CVE-2018-2952

Assigned:2017-12-15
Published:2018-07-17
Updated:2018-08-21
Summary:Vulnerability in the Java SE, Java SE Embedded, JRockit component of Oracle Java SE (subcomponent: Concurrency). Supported versions that are affected are Java SE: 6u191, 7u181, 8u172 and 10.0.1; Java SE Embedded: 8u171; JRockit: R28.3.18. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded, JRockit. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Java SE, Java SE Embedded, JRockit. Note: Applies to client and server deployment of Java. This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified Component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service. CVSS 3.0 Base Score 3.7 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L).
CVSS v3 Severity:3.7 Low (CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L)
3.2 Low (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
3.7 Low (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L)
3.2 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
5.3 Medium (REDHAT CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)
4.6 Medium (REDHAT Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
CVSS v2 Severity:4.3 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
2.6 Low (CCN CVSS v2 Vector: AV:N/AC:H/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): High
Athentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
Vulnerability Type:CWE-284
References:Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html

Source: BID
Type: VENDOR_ADVISORY
104765

Source: SECTRACK
Type: UNKNOWN
1041302

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2241

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2242

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2253

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2254

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2255

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2256

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2283

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2286

Source: XF
Type: UNKNOWN
oracle-cpujul2018-cve20182952(146815)

Source: CONFIRM
Type: UNKNOWN
https://security.netapp.com/advisory/ntap-20180726-0001/

Source: UBUNTU
Type: UNKNOWN
USN-3734-1

Source: UBUNTU
Type: UNKNOWN
USN-3735-1

Source: UBUNTU
Type: UNKNOWN
USN-3747-1

Source: DEBIAN
Type: UNKNOWN
DSA-4268

Vulnerable Configuration:Configuration 1:
  • cpe:/a:oracle:jdk:1.6.0:update_191:*:*:*:*:*:*
  • OR cpe:/a:oracle:jdk:1.7.0:update_181:*:*:*:*:*:*
  • OR cpe:/a:oracle:jdk:1.8.0:update_172:*:*:*:*:*:*
  • OR cpe:/a:oracle:jdk:10.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:oracle:jre:1.6.0:update_191:*:*:*:*:*:*
  • OR cpe:/a:oracle:jre:1.7.0:update_181:*:*:*:*:*:*
  • OR cpe:/a:oracle:jre:1.8.0:update_172:*:*:*:*:*:*
  • OR cpe:/a:oracle:jre:10.0.1:*:*:*:*:*:*:*

  • Configuration 2:
  • cpe:/a:oracle:jrockit:r28.3.18:*:*:*:*:*:*:*

  • Configuration RedHat 1:
  • cpe:/o:redhat:enterprise_linux:6:*:*:*:*:*:*:*

  • Configuration RedHat 2:
  • cpe:/o:redhat:enterprise_linux:7:*:*:*:*:*:*:*

  • Configuration RedHat 3:
  • cpe:/a:redhat:rhel_extras_oracle_java:7:*:*:*:*:*:*:*

  • Configuration RedHat 4:
  • cpe:/a:redhat:rhel_extras_oracle_java:6:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:oracle:jrockit:r28.3.18:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20182952
    V
    CVE-2018-2952
    2018-08-15
    oval:com.redhat.rhsa:def:20182286
    P
    RHSA-2018:2286: java-1.7.0-openjdk security update (Moderate)
    2018-07-30
    oval:com.redhat.rhsa:def:20182283
    P
    RHSA-2018:2283: java-1.7.0-openjdk security update (Moderate)
    2018-07-30
    oval:com.redhat.rhsa:def:20182255
    P
    RHSA-2018:2255: java-1.7.0-oracle security update (Critical)
    2018-07-24
    oval:com.redhat.rhsa:def:20182256
    P
    RHSA-2018:2256: java-1.8.0-oracle security update (Critical)
    2018-07-24
    oval:com.redhat.rhsa:def:20182253
    P
    RHSA-2018:2253: java-1.8.0-oracle security update (Critical)
    2018-07-24
    oval:com.redhat.rhsa:def:20182254
    P
    RHSA-2018:2254: java-1.7.0-oracle security update (Critical)
    2018-07-24
    oval:com.redhat.rhsa:def:20182242
    P
    RHSA-2018:2242: java-1.8.0-openjdk security and bug fix update (Moderate)
    2018-07-23
    oval:com.redhat.rhsa:def:20182241
    P
    RHSA-2018:2241: java-1.8.0-openjdk security update (Moderate)
    2018-07-23
    oval:com.ubuntu.artful:def:20182952000
    V
    CVE-2018-2952 on Ubuntu 17.10 (artful) - medium.
    2018-07-18
    oval:com.ubuntu.xenial:def:20182952000
    V
    CVE-2018-2952 on Ubuntu 16.04 LTS (xenial) - medium.
    2018-07-18
    oval:com.ubuntu.trusty:def:20182952000
    V
    CVE-2018-2952 on Ubuntu 14.04 LTS (trusty) - medium.
    2018-07-18
    BACK
    oracle jdk 1.6.0 update_191
    oracle jdk 1.7.0 update_181
    oracle jdk 1.8.0 update_172
    oracle jdk 10.0.1
    oracle jre 1.6.0 update_191
    oracle jre 1.7.0 update_181
    oracle jre 1.8.0 update_172
    oracle jre 10.0.1
    oracle jrockit r28.3.18
    oracle jrockit r28.3.18